Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01910 DIP/Input Feature Always Jun 19, 2008, 16:44 Jul 13, 2008, 19:21
Tester M.A.S.H. View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver changela.cpp
Version 0.125u6 Fixed in Version 0.126u1 Build
Summary 01910: changela: Gear Shift defaults to Reverse
Description Feature Request:

When first run, the default action for the Gear Shift in Change Lanes is "Reverse". It might make sense to have default behavior be "Forward".
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems changela
Attached Files
 
Relationships
child of 00037ResolvedOsso changela: Joystick control doesn't work. 
Notes
1
User avatar
No.01342
stephh
Developer
Jun 21, 2008, 08:20
I can't test this right now, but try changing :

PORT_BIT(0x01, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE) PORT_TOGGLE /* Gear shift */

to :

PORT_BIT(0x01, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE) PORT_TOGGLE /* Gear shift */

and let us know if this solves the problem.